# Psymple

`psymple` is a Python package desinged for general complex systems modelling. A complex system is a dynamic system whose interconnectivity produces non-trivial or unexpected behaviour. Examples of complex systems exist everywhere, from ecological systems, chemical reactions, economic systems, astronomy and even social networks.

## Installation

`psymple` officially supports Python `3.10` and higher.

The latest version of `psymple` is available on [PyPI](https://pypi.org/project/psymple/) and can be installed with `pip`.

```
pip install psymple
```

## Documentation

The latest version of `psymple` documentation can be found [here](https://casasglobal-org.github.io/psymple/).

## Where to start

Familiarisation with the purpose and design principles of `psymple` is recommended before beginning. You can start reading these here: [hybrid systems modelling](https://casasglobal-org.github.io/psymple/overview/modelling_systems/).

Once you're happy, you can start modelling! The best pages to start are [functions](https://casasglobal-org.github.io/psymple/components/functional_ported_objects.md), [differential equations](https://casasglobal-org.github.io/psymple/components/variable_ported_objects.md) and [composite systems](https://casasglobal-org.github.io/psymple/components/composite_ported_objects.md).

If you're interested in how `psymple` implements mathematical principles into `python` objects, the best place to start is [ported objects](https://casasglobal-org.github.io/psymple/mathematics/ported_objects.md).
