# Getting started

`psymple` is a Python package currently supporting versions `3.10` and higher. 

## Installation

The latest version of `psymple` is available on [PyPI](https://pypi.org/project/psymple/) and can be installed with `pip`.

```
pip install psymple
```

## Where to start

Familiarisation with the purpose and design principles of `psymple` is recommended before beginning. You can start reading these here: [hybrid systems modelling](../overview/modelling_systems.md).

Once you're happy, you can start modelling! The best pages to start are [functions](../components/functional_ported_objects.md), [differential equations](../components/variable_ported_objects.md) and [composite systems](../components/composite_ported_objects.md).

If you're interested in how `psymple` implements mathematical principles into `python` objects, the best place to start is [ported objects](../mathematics/ported_objects.md).